@page
@model WebApp.Pages_Expenses.CreateModel

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>Expense for @Model.CarInfo</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Expense.Name" class="control-label"></label>
                <input asp-for="Expense.Name" class="form-control" />
                <span asp-validation-for="Expense.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Expense.Cost" class="control-label"></label>
                <input asp-for="Expense.Cost" class="form-control" />
                <span asp-validation-for="Expense.Cost" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Expense.Description" class="control-label"></label>
                <input asp-for="Expense.Description" class="form-control" />
                <span asp-validation-for="Expense.Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input asp-for="Expense.CarId" value="@Model.CarId" type="hidden"/>
            </div>
            <div class="form-group">
                <label asp-for="Expense.ExpenseCategoryId" class="control-label"></label>
                <select asp-for="Expense.ExpenseCategoryId" class ="form-control" asp-items="Model.ExpenseCategorySelectList"></select>
            </div>
            <div class="form-group">
                <label asp-for="Expense.Time" class="control-label"></label>
                <input asp-for="Expense.Time" type="date" class="form-control" />
                <span asp-validation-for="Expense.Time" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
